Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.util
Class ConsoleHandler

    java.lang.Object
      java.util.logging.Handler
          java.util.logging.StreamHandler
              java.util.logging.ConsoleHandler
                  com.sleepycat.je.util.ConsoleHandler

    public class ConsoleHandler

extends ConsoleHandler

JE instances of java.util.logging.Logger are configured to use this implementation of java.util.logging.ConsoleHandler. By default, the handler's level is `Level.OFF`. To enable the console output, use the standard java.util.logging.LogManager configuration to set the desired level:

     com.sleepycat.je.util.ConsoleHandler.level=ALL

JE augments the java.util.logging API with a JE environment parameter for setting handler levels. This is described in greater detail in Chapter 12.Administering Berkeley DB Java Edition Applications

See Also:
  Chapter 12. Logging, Using JE Trace Logging

Constructor Summary
`ConsoleHandler(Formatter formatter, com.sleepycat.je.dbi.EnvironmentImpl envImpl)`

Method Summary

Methods inherited from class java.util.logging.ConsoleHandler
`close, publish`

Methods inherited from class java.util.logging.StreamHandler
`flush, isLoggable, setEncoding, setOutputStream`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleHandler

    public ConsoleHandler(Formatter formatter,
                          com.sleepycat.je.dbi.EnvironmentImpl envImpl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.